html {
    font-size: 14px;
}
a {
    color: #4E48A5;
}
a:hover {
    color: #3e3b7d;
}
.hide {
    display: none !important;
}
.card-primary:not(.card-outline)>.card-header {
    background-color: #544ec9;

}
.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {
    background-color: #4E48A5;
    border-color: #4E48A5;
}
.pagination > li > a, .pagination > li > span {
    color: #4E48A5;
}
.btn-primary.disabled, .btn-primary:disabled {
    background-color: #5b55e2;
    border-color: #3e3b7d;
}
.btn-primary {
    background-color: #4E48A5;
    border-color: #3e3b7d;
}
.alert-info {
    background: #5b55e2;
    border-color: #544ec9;
}
.alert code {
    color: #fff2a8;
}
.navbar {
    margin-bottom: 0px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #5b55e2;
    border-color: #544ec9;
}
.bg-primary {
    background-color: #5b55e2 !important;
}
pre {
    margin: 5px;
    padding: 10px;
}

.main-header .navbar-nav .nav-link {
    padding-top: 8px;
}
.main-header .navbar-nav .nav-link i {
    font-size: 1.3rem;
}

.brand-link {
    width: 230px;
}

.brand-link .logo-wrapper {
    width: 230px;
    height: 26px;
    position: relative;
    max-width: 100%;
}

.brand-link .logo-wrapper .brand-image {
    /*max-height:230px;*/
}

.content-wrapper, .right-side, .main-footer {
    /*margin-left: 250px !important;*/
}

.string {
    color: green;
}
.number {
    color: darkorange;
}
.boolean {
    color: blue;
}
.null {
    color: magenta;
}
.key {
    color: red;
}
.skin-red .main-header .logo {
    background-color: #000 !important;
}
.skin-red .main-header .navbar {
    background-color: #000 !important;
}
.brands-index td img {
    width: 60px;
}

.nav-tabs-custom > .nav-tabs {
    border-bottom-color: #b5bbc8;
}
.nav-tabs-custom > .nav-tabs > li.active > a {
    border-left-color: #b5bbc8;
    border-right-color: #b5bbc8;
}
.table-striped > tbody > tr:nth-of-type(2n+1) {
    background-color: #eef2fa;
}

.table {
    display: block !important; /*Важно - иначе ломается верстка*/
    overflow-x: auto !important;
    position: relative;
    border-collapse: separate;
    border-spacing: 0;
    border-bottom-width: 0;
}
.companies-reserve .table {
    display: table !important;
}

/* Границы ячеек */
.table-sticky-action-column tr > td, .table-sticky-action-column tr > th,
.table-bordered tr > td, .table-bordered tr > th {
    border: 0;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.table-sticky-action-column > thead > tr:first-child th,
.table-bordered > thead > tr:first-child th {
    border-bottom-color: transparent !important;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

/* Первая ячейка - прилипшая */
.table-sticky-action-column tr > td:first-child, .table-sticky-action-column tr > th:first-child {
    position: sticky;
    left: 0;
    white-space: nowrap;
    z-index: 1;
    border-left: 1px solid rgba(0, 0, 0, 0.1);
}
.table-sticky-action-column tr > th:first-child {
    background-color: white;
}
.table-sticky-action-column tr > td:last-child, .table-sticky-action-column tr > th:last-child {
    border-right: 1px solid rgba(0, 0, 0, 0.1);
}

/* Чередование заливки у строк */
.table-striped > tr:nth-child(even) > td {
   background-color: white;
}
.table-striped > tr:nth-child(odd) > td {
    background-color: #eef2fa;
}

.sidebar {
    overflow-y: auto;
}
.sidebar::-webkit-scrollbar {
    width: 4px;
    background-color: transparent;
}
.sidebar::-webkit-scrollbar-thumb  {
    background-color: rgba(255, 255, 255, 0.1);
}

.user-panel .info {
    padding: 0 0 0 10px;
}
.user-panel .info p {
    font-size: 11px;
    margin-bottom: -2px;
}

.form-group.required .control-label:after {
    color: #d00;
    content: " *";
}

.hide-bullets {
    list-style:none;
    margin-left: -40px;
    margin-top:20px;
}

.hide-bullets>li {
    list-style: none;
}

.thumbnail {
    padding: 0;
}

.carousel-inner>.item>img, .carousel-inner>.item>a>img {
    width: 100%;
}

.select2 {
    width: 100% !important;
}

#loading-bar,
#loading-bar-spinner {
    pointer-events: none;
    -webkit-pointer-events: none;
    -webkit-transition: 350ms linear all;
    transition: 350ms linear all;
}

#loading-bar-spinner {
    display: none;
    position: relative;
    z-index: 10002;
    top: 50%;
    left: 50%;
    margin-top: -32px;
    margin-left: -32px;
}

#loading-bar-spinner.active {
    display: block;
}

#loading-bar-spinner .spinner-icon {
    width: 64px;
    height: 64px;
    border: solid 2px transparent;
    border-top-color: #1e6fae;
    border-left-color: #1e6fae;
    border-top-color: #5f5f5f;
    border-left-color: #5f5f5f;
    border-radius: 50%;
    -webkit-animation: loading-bar-spinner 400ms linear infinite;
    animation: loading-bar-spinner 400ms linear infinite;
}

@-webkit-keyframes loading-bar-spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes loading-bar-spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes loading-bar-spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.statistic-filter {
    padding-bottom: 10px;
}

.statistic-filter .btn-group{
    padding-bottom: 5px;
}

.timeline-header {
    padding: 0 0 15px 0;
}

.arbitrary-filter .row>div {
    padding-bottom: 15px;
}

.settings .checkbox {
    height: 26px;
    width: 38px;
}

.settings .checkbox input[type=checkbox] {
    display:none;
}

.settings .checkbox label {
    width: 100%;
    height: 100%;
    position: relative;
    border-radius: 13px;
    transition: .2s all linear;
    border: 1px #d6d1d1 solid;
    background: #fff;
}

.settings label:after {
    display: none;
}

.settings .checkbox label:before{
    content: '';
    display: block;
    height: 24px;
    width: 24px;
    border: 1px #d6d1d1 solid;
    border-radius: 12px;
    background: #fff;
    position: absolute;
    box-shadow: 1px 1px 3px rgba(0,0,0,.15);
    top: 0;
    left: 0px;
    transition: .2s all linear;
}

.settings .checkbox input[type=checkbox]:disabled + label:before {
    background: #f2eded;
}

.settings .checkbox input[type=checkbox]:checked + label {
    background: #00d30a;
    border: 1px #00d30a solid;
}

.settings .checkbox input[type=checkbox]:checked + label:before {
    transform: translateX(12px);
}

.settings .nav-stacked {
    background: #fff;
}

.settings .nav-stacked li.has-error, .settings .nav-stacked li.has-error.active:hover {
    background: #ffcccc;
}

.settings ul.nav-stacked li.has-error:hover {
    background: #ff9393;
}

.tab-content .tab-pane {
    background: #fff;
    padding: 10px;
}

input[type=checkbox], input[type=radio] {
    margin-right: 6px;
}

.settings .setting-boolean {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.settings .setting, .setting-boolean {
    border-bottom: 1px #d6d1d1 solid;
    padding: 10px 0;
}

.settings .setting:last-child, .setting-boolean:last-child{
    border-bottom: none;
}

.settings .setting-boolean .form-group{
    margin-bottom: 0;
    margin-left: 30px;
}

.settings button.save-setting {
    margin: 30px 0;
    width: 100%;
    border-radius: 0;
}

.settings .alert {
    padding: 10px;
}

.per-page-block .per-page-selector {
    height: 23px;
    margin-right: 10px;
    padding: 0 !important;
}

.settings em {
    font-weight: bold;
    background-color: rgba(255,255,194,0.5);
}

.scrollspy-settings {
    position: relative;
    overflow: auto;
    height: 70vh;
}
.list-group-item.active {
    background-color: #4E48A5;
    border-color: #4E48A5;
}
#settings h4 {
    color: #343a40;
    /*margin-bottom: 0;*/
    border-left: .7rem solid #4E48A5;
    margin: 1.5em .7rem;
    padding: .5em .7rem;
}

.alert-info-high {
    background-color: #FFD2DA;
    border-color: #FFD2DA;
}
.alert-info-low {
    background-color: #FEFFB7;
    border-color: #FEFFB7;
}
.alert-info-medium {
    background-color: rgba(255, 176, 56, 0.24);
    border-color: rgba(255, 176, 56, 0.24);
}

h4.login {
    color: #1c1b1f;
    font-weight: 400;
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 22px;
    letter-spacing: 0;
    margin-bottom: 20px;
    width: 100%;
}

#admin-login-form  label {
    color: #1c1b1f;
    font-weight: 400;
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    letter-spacing: 0.25px;
}

#admin-login-form  .btn {
    height: 40px;
    line-height: 20px;
    color: #ffffff;
    font-weight: 700;
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 14px;
    letter-spacing: 1.4px;
}

#admin-login-form  input[type=text],
#admin-login-form  input[type=password] {
    height: 40px;
    color: #1c1b1f;
    font-weight: 400;
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    letter-spacing: 0.25px;
}

#news-on-main-page img {
    max-width: 100%;
}

.news-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 16px;
}